<?php
chdir("..");
chdir("..");

include "./includes/variables.php";
include './misc/database.php';
if (show==yes){

		// $m ist der Name der Module
		$m = $_GET['m'];
		$q = $_GET['q'];
		$start = $_GET['start'];

		$isdn_hw_table = dynamic_table();

		// build page content
		echo "<form class='beroari_form' name='isdn_hw' action='' method='GET'>
			<input type=hidden name=m value=" . $m . ">
			<br>
			" . $isdn_hw_table . "
			<br>
			</form>";
}else{
	echo "<h2>Access Denied</h2>";
}

function dynamic_table() {
		/*
		 * Isdn Konfiguration für die "Karte"
		 */
		//Ein neues Datenbankobjekt von der Datenbank app.db
		$database = new beroAri();
		$columns = $database->column_type('isdn');
		$i = 0;
		//Das Header der Tabelle ist die Spaltenname "key" von app		
		foreach ($columns as $column => $type) {
			if (($column == 'lif') ) {
				$cols .= "<th>Line Interface</th>";
				$cols_name[$i] = $column;
				$i++;
			}
			if ($column == 'type'){
				$cols .= "<th>Card Type</th>";
				$cols_name[$i] = $column;
				$i++;
	
			}
		}

		//Wenn es eine Neue Karte gefunden wurde wird der Name von der Karte ausgegeben
		//+ der Knopf modify um die Konfiguration zu ändern.
		$query_ = $database->select('SELECT type, lif FROM isdn group by type, lif order by lif');
		while ($entry = $database->fetch_array($query_)) {
			$rows .= "<tr>";
			for ($j=0;$j<count($cols_name);$j++){
				$col_name=$cols_name[$j];
				$rows.="<td>".$entry[$col_name]."</td>";
			}
			$rows .= "<td bgcolor='#DACECE'><font size='3'><a class='popup_download' 
				onclick=\"javascript:new_window('./misc/isdnhw_popup.php?lif=" . $entry['lif'] . "&c=".$entry['type']."&ip=".$_GET['ip']."')\">
				<input type='button' value='modify' onmouseover=\"Tip('" . HARDWARE_ISDN_MOD_MODIFY . "')\" 
				onmouseout='UnTip()'></a></font></td></tr>";
		}

		$table .= "<table class='contenttoc' id='table'><tr>" . $cols . "<th></th></tr>" . $rows . "</table>";
		//Rückgabe: Erzeugte Tabelle mit den  Namen allen verschiedenen ISDN Karten.		
		return $table;
	}
?>
